Assets & Files

Endpoints related to assets & files.

GET /design-file/

List all design file.

List all design file.

Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
POST /design-file/

Create a new record of a Design File in the db.

Create a new record of a Design File in the db.

After POST the design file is promised, but the design file has not landed, been virus scanned, or unpacked into other resources.

Returns in HTTP headers next additional values:
  • Location - the URI of the created design_file;

  • X-Upload-Location - the URI to which should be uploaded file content;

  • DesignFileType.single_mesh only - will be created db:model and it is URI will be returned as Model-Location.

Status Codes:
Response Headers:
  • Location – URI of the created resource

GET /design-file/{uuid}/

Get an design file by UUID.

Get an design file by UUID.

Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
PUT /design-file/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
DELETE /design-file/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
GET /zipfile/
Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
  • 200 OK – Successful response with list of resources

  • 404 Not Found – The requested zipfile cannot be found.

GET /zipfile/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
POST /zipfile-request/
Status Codes:
Response Headers:
  • Location – URI of the created resource

GET /asset/

Get a list of assets.

Get a list of assets.

Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
  • 200 OK – Successful response with list of resources

  • 404 Not Found – generated-exception-class raised

POST /asset/

Create a new asset.

Create a new asset.

Status Codes:
Response Headers:
  • Location – URI of the created resource

GET /asset/{uuid}/

Get a single asset by uuid.

Get a single asset by uuid.

Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
PUT /asset/{uuid}/

Update an asset by UUID.

Update an asset by UUID.

Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
DELETE /asset/{uuid}/

Delete an asset by uuid.

Delete an asset by uuid.

Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
GET /asset-version/

Get a list of asset versions.

Get a list of asset versions.

Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
  • 200 OK – Successful response with list of resources

POST /asset-version/

Create a new asset version.

Create a new asset version.

Status Codes:
Response Headers:
  • Location – URI of the created resource

GET /asset-version/{uuid}/

Get a single asset version by uuid.

Get a single asset version by uuid.

Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
  • 200 OK – Successful response